# This file created by conda-build 3.25.0
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_d33pqh69_c/clone/recipe, last modified Thu Jun 22 09:40:57 2023
# ------------------------------------------------

package:
  name: meson
  version: 1.1.1
source:
  fn: meson-1.1.1.tar.gz
  patches:
    - 0001-Only-fix-RPATH-if-install_rpath-is-not-empty.patch
  sha256: d04b541f97ca439fb82fab7d0d480988be4bd4e62563a5ca35fadb5400727b1c
  url: https://pypi.io/packages/source/m/meson/meson-1.1.1.tar.gz
build:
  entry_points:
    - meson = mesonbuild.mesonmain:main
  number: '0'
  script: /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_d33pqh69_c/croot/meson_1687444871107/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
    -m pip install . -vvv --no-deps --no-build-isolation
  string: py311hca03da5_0
requirements:
  build:
    - patch 2.7.6 h1a28f6b_1001
  host:
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2023.05.30 hca03da5_0
    - libffi 3.4.4 hca03da5_0
    - ncurses 6.4 h313beb8_0
    - openssl 3.0.9 h1a28f6b_0
    - pip 23.1.2 py311hca03da5_0
    - python 3.11.3 hb885b13_1
    - readline 8.2 h1a28f6b_0
    - setuptools 67.8.0 py311hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py311hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - ninja >=1.8.2
    - pip
    - python >=3.11,<3.12.0a0
    - setuptools
    - wheel
test:
  commands:
    - pip check
    - meson -h
    - meson -v
    - meson --internal delsuffix . nomatchqqq
  requires:
    - pip
about:
  description: 'Meson is an open source build system meant to be both extremely fast,
    and, even more importantly, as user friendly as possible.

    The main design point of Meson is that every moment a developer spends writing
    or debugging build definitions is a second wasted.

    So is every second spent waiting for the build system to actually start compiling
    code.

    '
  dev_url: https://github.com/mesonbuild/meson
  doc_url: https://mesonbuild.com
  home: https://mesonbuild.com
  license: Apache-2.0
  license_family: Apache
  license_file: COPYING
  summary: The Meson Build System
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: d3dca15c-e282-4914-824a-fb8ac3dbcf8c
  recipe-maintainers:
    - SoapZA
    - dirmeier
    - h-vetinari
    - pkgw
    - rgommers
    - tschoonj
    - wolfv
  remote_url: git@github.com:AnacondaRecipes/meson-feedstock.git
  sha: fa6d4872eea14bdf50e13ff79e5340d2878a6dec
  skip-lints:
    - build_tools_must_be_in_build
    - missing_imports_or_run_test_py
    - python_build_tool_in_run
